﻿.MessageBoxModal
{
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.MessageBox {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: blue;
    border: solid;
    border-width: 2px;
    border-radius: 8px;
    border-color: yellow;
    padding: 10px 10px 10px 10px;
    position: absolute;
}

.MessageBoxTable
{
    width: 100%;
    padding: 5px 5px 5px 5px
}

.MessageBoxButtonCell
{
    padding-top: 10px;
    text-align: center;
}

.MessageBoxButton
{
    display: inherit;
    background-color: blue;
    border: outset;
    border-left-color: white;
    border-top-color: white;
    border-right-color: grey;
    border-bottom-color: grey;
    color: white;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 8px;
}

.MessageBoxButton:hover
{
    transition-duration: 0.4s;
    color: yellow;
    border-left-color: grey;
    border-top-color: grey;
    border-right-color: white;
    border-bottom-color: white;
}

.MessageBoxButton:active
{
    border-left-color: white;
    border-top-color: white;
    border-right-color: white;
    border-bottom-color: white;
}

.MessageBoxTitle
{
    padding: 5px, 25px, 15px, 25px;
    color: yellow;
    text-align: center;
    font-weight: bold;
    font-size: 20px;
    text-align: center;
}

.MessageBoxText
{
    padding: 5px, 25px, 15px, 35px;
    color: white;
    font-size: 16px;
}
